All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
NormDiff_Inf
Image Norms

Primitives for computing the infinity norm of difference of pixels between two images. More...

## Basic NormDiff_Inf

NppStatus | nppiNormDiff_Inf_8u_C1R_Ctx (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, NppiSize oSizeROI, Npp64f *pNormDiff, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| One-channel 8-bit unsigned image NormDiff_Inf. More...
NppStatus | nppiNormDiff_Inf_8u_C1R (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, NppiSize oSizeROI, Npp64f *pNormDiff, Npp8u *pDeviceBuffer)
NppStatus | nppiNormDiff_Inf_16u_C1R_Ctx (const Npp16u *pSrc1, int nSrc1Step, const Npp16u *pSrc2, int nSrc2Step, NppiSize oSizeROI, Npp64f *pNormDiff, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| One-channel 16-bit unsigned image NormDiff_Inf. More...
NppStatus | nppiNormDiff_Inf_16u_C1R (const Npp16u *pSrc1, int nSrc1Step, const Npp16u *pSrc2, int nSrc2Step, NppiSize oSizeROI, Npp64f *pNormDiff, Npp8u *pDeviceBuffer)
NppStatus | nppiNormDiff_Inf_16s_C1R_Ctx (const Npp16s *pSrc1, int nSrc1Step, const Npp16s *pSrc2, int nSrc2Step, NppiSize oSizeROI, Npp64f *pNormDiff, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| One-channel 16-bit signed image NormDiff_Inf. More...
NppStatus | nppiNormDiff_Inf_16s_C1R (const Npp16s *pSrc1, int nSrc1Step, const Npp16s *pSrc2, int nSrc2Step, NppiSize oSizeROI, Npp64f *pNormDiff, Npp8u *pDeviceBuffer)
NppStatus | nppiNormDiff_Inf_32f_C1R_Ctx (const Npp32f *pSrc1, int nSrc1Step, const Npp32f *pSrc2, int nSrc2Step, NppiSize oSizeROI, Npp64f *pNormDiff, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| One-channel 32-bit floating point image NormDiff_Inf. More...
NppStatus | nppiNormDiff_Inf_32f_C1R (const Npp32f *pSrc1, int nSrc1Step, const Npp32f *pSrc2, int nSrc2Step, NppiSize oSizeROI, Npp64f *pNormDiff, Npp8u *pDeviceBuffer)
NppStatus | nppiNormDiff_Inf_8u_C3R_Ctx (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, NppiSize oSizeROI, Npp64f aNormDiff[3], Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Three-channel 8-bit unsigned image NormDiff_Inf. More...
NppStatus | nppiNormDiff_Inf_8u_C3R (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, NppiSize oSizeROI, Npp64f aNormDiff[3], Npp8u *pDeviceBuffer)
NppStatus | nppiNormDiff_Inf_16u_C3R_Ctx (const Npp16u *pSrc1, int nSrc1Step, const Npp16u *pSrc2, int nSrc2Step, NppiSize oSizeROI, Npp64f aNormDiff[3], Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Three-channel 16-bit unsigned image NormDiff_Inf. More...
NppStatus | nppiNormDiff_Inf_16u_C3R (const Npp16u *pSrc1, int nSrc1Step, const Npp16u *pSrc2, int nSrc2Step, NppiSize oSizeROI, Npp64f aNormDiff[3], Npp8u *pDeviceBuffer)
NppStatus | nppiNormDiff_Inf_16s_C3R_Ctx (const Npp16s *pSrc1, int nSrc1Step, const Npp16s *pSrc2, int nSrc2Step, NppiSize oSizeROI, Npp64f aNormDiff[3], Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Three-channel 16-bit signed image NormDiff_Inf. More...
NppStatus | nppiNormDiff_Inf_16s_C3R (const Npp16s *pSrc1, int nSrc1Step, const Npp16s *pSrc2, int nSrc2Step, NppiSize oSizeROI, Npp64f aNormDiff[3], Npp8u *pDeviceBuffer)
NppStatus | nppiNormDiff_Inf_32f_C3R_Ctx (const Npp32f *pSrc1, int nSrc1Step, const Npp32f *pSrc2, int nSrc2Step, NppiSize oSizeROI, Npp64f aNormDiff[3], Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Three-channel 32-bit floating point image NormDiff_Inf. More...
NppStatus | nppiNormDiff_Inf_32f_C3R (const Npp32f *pSrc1, int nSrc1Step, const Npp32f *pSrc2, int nSrc2Step, NppiSize oSizeROI, Npp64f aNormDiff[3], Npp8u *pDeviceBuffer)
NppStatus | nppiNormDiff_Inf_8u_AC4R_Ctx (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, NppiSize oSizeROI, Npp64f aNormDiff[3], Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Four-channel 8-bit unsigned image NormDiff_Inf ignoring alpha channel. More...
NppStatus | nppiNormDiff_Inf_8u_AC4R (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, NppiSize oSizeROI, Npp64f aNormDiff[3], Npp8u *pDeviceBuffer)
NppStatus | nppiNormDiff_Inf_16u_AC4R_Ctx (const Npp16u *pSrc1, int nSrc1Step, const Npp16u *pSrc2, int nSrc2Step, NppiSize oSizeROI, Npp64f aNormDiff[3], Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Four-channel 16-bit unsigned image NormDiff_Inf ignoring alpha channel. More...
NppStatus | nppiNormDiff_Inf_16u_AC4R (const Npp16u *pSrc1, int nSrc1Step, const Npp16u *pSrc2, int nSrc2Step, NppiSize oSizeROI, Npp64f aNormDiff[3], Npp8u *pDeviceBuffer)
NppStatus | nppiNormDiff_Inf_16s_AC4R_Ctx (const Npp16s *pSrc1, int nSrc1Step, const Npp16s *pSrc2, int nSrc2Step, NppiSize oSizeROI, Npp64f aNormDiff[3], Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Four-channel 16-bit signed image NormDiff_Inf ignoring alpha channel. More...
NppStatus | nppiNormDiff_Inf_16s_AC4R (const Npp16s *pSrc1, int nSrc1Step, const Npp16s *pSrc2, int nSrc2Step, NppiSize oSizeROI, Npp64f aNormDiff[3], Npp8u *pDeviceBuffer)
NppStatus | nppiNormDiff_Inf_32f_AC4R_Ctx (const Npp32f *pSrc1, int nSrc1Step, const Npp32f *pSrc2, int nSrc2Step, NppiSize oSizeROI, Npp64f aNormDiff[3], Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Four-channel 32-bit floating point image NormDiff_Inf ignoring alpha channel. More...
NppStatus | nppiNormDiff_Inf_32f_AC4R (const Npp32f *pSrc1, int nSrc1Step, const Npp32f *pSrc2, int nSrc2Step, NppiSize oSizeROI, Npp64f aNormDiff[3], Npp8u *pDeviceBuffer)
NppStatus | nppiNormDiff_Inf_8u_C4R_Ctx (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, NppiSize oSizeROI, Npp64f aNormDiff[4], Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Four-channel 8-bit unsigned image NormDiff_Inf. More...
NppStatus | nppiNormDiff_Inf_8u_C4R (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, NppiSize oSizeROI, Npp64f aNormDiff[4], Npp8u *pDeviceBuffer)
NppStatus | nppiNormDiff_Inf_16u_C4R_Ctx (const Npp16u *pSrc1, int nSrc1Step, const Npp16u *pSrc2, int nSrc2Step, NppiSize oSizeROI, Npp64f aNormDiff[4], Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Four-channel 16-bit unsigned image NormDiff_Inf. More...
NppStatus | nppiNormDiff_Inf_16u_C4R (const Npp16u *pSrc1, int nSrc1Step, const Npp16u *pSrc2, int nSrc2Step, NppiSize oSizeROI, Npp64f aNormDiff[4], Npp8u *pDeviceBuffer)
NppStatus | nppiNormDiff_Inf_16s_C4R_Ctx (const Npp16s *pSrc1, int nSrc1Step, const Npp16s *pSrc2, int nSrc2Step, NppiSize oSizeROI, Npp64f aNormDiff[4], Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Four-channel 16-bit signed image NormDiff_Inf. More...
NppStatus | nppiNormDiff_Inf_16s_C4R (const Npp16s *pSrc1, int nSrc1Step, const Npp16s *pSrc2, int nSrc2Step, NppiSize oSizeROI, Npp64f aNormDiff[4], Npp8u *pDeviceBuffer)
NppStatus | nppiNormDiff_Inf_32f_C4R_Ctx (const Npp32f *pSrc1, int nSrc1Step, const Npp32f *pSrc2, int nSrc2Step, NppiSize oSizeROI, Npp64f aNormDiff[4], Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Four-channel 32-bit floating point image NormDiff_Inf. More...
NppStatus | nppiNormDiff_Inf_32f_C4R (const Npp32f *pSrc1, int nSrc1Step, const Npp32f *pSrc2, int nSrc2Step, NppiSize oSizeROI, Npp64f aNormDiff[4], Npp8u *pDeviceBuffer)
NppStatus | nppiNormDiff_Inf_8u_C1MR_Ctx (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, Npp64f *pNormDiff, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Masked one-channel 8-bit unsigned images NormDiff_Inf. More...
NppStatus | nppiNormDiff_Inf_8u_C1MR (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, Npp64f *pNormDiff, Npp8u *pDeviceBuffer)
NppStatus | nppiNormDiff_Inf_8s_C1MR_Ctx (const Npp8s *pSrc1, int nSrc1Step, const Npp8s *pSrc2, int nSrc2Step, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, Npp64f *pNormDiff, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Masked one-channel 8-bit signed images NormDiff_Inf. More...
NppStatus | nppiNormDiff_Inf_8s_C1MR (const Npp8s *pSrc1, int nSrc1Step, const Npp8s *pSrc2, int nSrc2Step, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, Npp64f *pNormDiff, Npp8u *pDeviceBuffer)
NppStatus | nppiNormDiff_Inf_16u_C1MR_Ctx (const Npp16u *pSrc1, int nSrc1Step, const Npp16u *pSrc2, int nSrc2Step, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, Npp64f *pNormDiff, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Masked one-channel 16-bit unsigned images NormDiff_Inf. More...
NppStatus | nppiNormDiff_Inf_16u_C1MR (const Npp16u *pSrc1, int nSrc1Step, const Npp16u *pSrc2, int nSrc2Step, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, Npp64f *pNormDiff, Npp8u *pDeviceBuffer)
NppStatus | nppiNormDiff_Inf_32f_C1MR_Ctx (const Npp32f *pSrc1, int nSrc1Step, const Npp32f *pSrc2, int nSrc2Step, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, Npp64f *pNormDiff, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Masked one-channel 32-bit floating point images NormDiff_Inf. More...
NppStatus | nppiNormDiff_Inf_32f_C1MR (const Npp32f *pSrc1, int nSrc1Step, const Npp32f *pSrc2, int nSrc2Step, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, Npp64f *pNormDiff, Npp8u *pDeviceBuffer)
NppStatus | nppiNormDiff_Inf_8u_C3CMR_Ctx (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, int nCOI, Npp64f *pNormDiff, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Masked three-channel 8-bit unsigned image NormDiff_Inf affecting only single channel. More...
NppStatus | nppiNormDiff_Inf_8u_C3CMR (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, int nCOI, Npp64f *pNormDiff, Npp8u *pDeviceBuffer)
NppStatus | nppiNormDiff_Inf_8s_C3CMR_Ctx (const Npp8s *pSrc1, int nSrc1Step, const Npp8s *pSrc2, int nSrc2Step, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, int nCOI, Npp64f *pNormDiff, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Masked three-channel 8-bit signed image NormDiff_Inf affecting only single channel. More...
NppStatus | nppiNormDiff_Inf_8s_C3CMR (const Npp8s *pSrc1, int nSrc1Step, const Npp8s *pSrc2, int nSrc2Step, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, int nCOI, Npp64f *pNormDiff, Npp8u *pDeviceBuffer)
NppStatus | nppiNormDiff_Inf_16u_C3CMR_Ctx (const Npp16u *pSrc1, int nSrc1Step, const Npp16u *pSrc2, int nSrc2Step, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, int nCOI, Npp64f *pNormDiff, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Masked three-channel 16-bit unsigned image NormDiff_Inf affecting only single channel. More...
NppStatus | nppiNormDiff_Inf_16u_C3CMR (const Npp16u *pSrc1, int nSrc1Step, const Npp16u *pSrc2, int nSrc2Step, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, int nCOI, Npp64f *pNormDiff, Npp8u *pDeviceBuffer)
NppStatus | nppiNormDiff_Inf_32f_C3CMR_Ctx (const Npp32f *pSrc1, int nSrc1Step, const Npp32f *pSrc2, int nSrc2Step, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, int nCOI, Npp64f *pNormDiff, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Masked three-channel 32-bit floating point image NormDiff_Inf affecting only single channel. More...
NppStatus | nppiNormDiff_Inf_32f_C3CMR (const Npp32f *pSrc1, int nSrc1Step, const Npp32f *pSrc2, int nSrc2Step, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, int nCOI, Npp64f *pNormDiff, Npp8u *pDeviceBuffer)

## NormDiffInfGetBufferHostSize

Companion primitives for computing the device buffer size (in bytes) required by the NormDiff_Inf primitives.
NppStatus | nppiNormDiffInfGetBufferHostSize_8u_C1R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiNormDiff_Inf_8u_C1R. More...
NppStatus | nppiNormDiffInfGetBufferHostSize_8u_C1R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiNormDiffInfGetBufferHostSize_16u_C1R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiNormDiff_Inf_16u_C1R. More...
NppStatus | nppiNormDiffInfGetBufferHostSize_16u_C1R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiNormDiffInfGetBufferHostSize_16s_C1R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiNormDiff_Inf_16s_C1R. More...
NppStatus | nppiNormDiffInfGetBufferHostSize_16s_C1R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiNormDiffInfGetBufferHostSize_32f_C1R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiNormDiff_Inf_32f_C1R. More...
NppStatus | nppiNormDiffInfGetBufferHostSize_32f_C1R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiNormDiffInfGetBufferHostSize_8u_C1MR_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiNormDiff_Inf_8u_C1MR. More...
NppStatus | nppiNormDiffInfGetBufferHostSize_8u_C1MR (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiNormDiffInfGetBufferHostSize_8s_C1MR_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiNormDiff_Inf_8s_C1MR. More...
NppStatus | nppiNormDiffInfGetBufferHostSize_8s_C1MR (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiNormDiffInfGetBufferHostSize_16u_C1MR_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiNormDiff_Inf_16u_C1MR. More...
NppStatus | nppiNormDiffInfGetBufferHostSize_16u_C1MR (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiNormDiffInfGetBufferHostSize_32f_C1MR_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiNormDiff_Inf_32f_C1MR. More...
NppStatus | nppiNormDiffInfGetBufferHostSize_32f_C1MR (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiNormDiffInfGetBufferHostSize_8u_C3R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiNormDiff_Inf_8u_C3R. More...
NppStatus | nppiNormDiffInfGetBufferHostSize_8u_C3R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiNormDiffInfGetBufferHostSize_16u_C3R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiNormDiff_Inf_16u_C3R. More...
NppStatus | nppiNormDiffInfGetBufferHostSize_16u_C3R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiNormDiffInfGetBufferHostSize_16s_C3R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiNormDiff_Inf_16s_C3R. More...
NppStatus | nppiNormDiffInfGetBufferHostSize_16s_C3R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiNormDiffInfGetBufferHostSize_32f_C3R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiNormDiff_Inf_32f_C3R. More...
NppStatus | nppiNormDiffInfGetBufferHostSize_32f_C3R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiNormDiffInfGetBufferHostSize_8u_C4R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiNormDiff_Inf_8u_C4R. More...
NppStatus | nppiNormDiffInfGetBufferHostSize_8u_C4R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiNormDiffInfGetBufferHostSize_16u_C4R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiNormDiff_Inf_16u_C4R. More...
NppStatus | nppiNormDiffInfGetBufferHostSize_16u_C4R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiNormDiffInfGetBufferHostSize_16s_C4R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiNormDiff_Inf_16s_C4R. More...
NppStatus | nppiNormDiffInfGetBufferHostSize_16s_C4R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiNormDiffInfGetBufferHostSize_32f_C4R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiNormDiff_Inf_32f_C4R. More...
NppStatus | nppiNormDiffInfGetBufferHostSize_32f_C4R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiNormDiffInfGetBufferHostSize_8u_AC4R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiNormDiff_Inf_8u_AC4R. More...
NppStatus | nppiNormDiffInfGetBufferHostSize_8u_AC4R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiNormDiffInfGetBufferHostSize_16u_AC4R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiNormDiff_Inf_16u_AC4R. More...
NppStatus | nppiNormDiffInfGetBufferHostSize_16u_AC4R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiNormDiffInfGetBufferHostSize_16s_AC4R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiNormDiff_Inf_16s_AC4R. More...
NppStatus | nppiNormDiffInfGetBufferHostSize_16s_AC4R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiNormDiffInfGetBufferHostSize_32f_AC4R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiNormDiff_Inf_32f_AC4R. More...
NppStatus | nppiNormDiffInfGetBufferHostSize_32f_AC4R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiNormDiffInfGetBufferHostSize_8u_C3CMR_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiNormDiff_Inf_8u_C3CMR. More...
NppStatus | nppiNormDiffInfGetBufferHostSize_8u_C3CMR (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiNormDiffInfGetBufferHostSize_8s_C3CMR_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiNormDiff_Inf_8s_C3CMR. More...
NppStatus | nppiNormDiffInfGetBufferHostSize_8s_C3CMR (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiNormDiffInfGetBufferHostSize_16u_C3CMR_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiNormDiff_Inf_16u_C3CMR. More...
NppStatus | nppiNormDiffInfGetBufferHostSize_16u_C3CMR (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiNormDiffInfGetBufferHostSize_32f_C3CMR_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiNormDiff_Inf_32f_C3CMR. More...
NppStatus | nppiNormDiffInfGetBufferHostSize_32f_C3CMR (NppiSize oSizeROI, int *hpBufferSize)

## Detailed Description

Primitives for computing the infinity norm of difference of pixels between two images.

## Function Documentation

NppStatus nppiNormDiff_Inf_16s_AC4R | ( | const Npp16s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16s * | pSrc2,
|  | int | nSrc2Step,
|  | NppiSize | oSizeROI,
|  | Npp64f | aNormDiff[3],
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiNormDiff_Inf_16s_AC4R_Ctx | ( | const Npp16s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16s * | pSrc2,
|  | int | nSrc2Step,
|  | NppiSize | oSizeROI,
|  | Npp64f | aNormDiff[3],
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 16-bit signed image NormDiff_Inf ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiNormDiffInf functions.

NppStatus nppiNormDiff_Inf_16s_C1R | ( | const Npp16s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16s * | pSrc2,
|  | int | nSrc2Step,
|  | NppiSize | oSizeROI,
|  | Npp64f * | pNormDiff,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiNormDiff_Inf_16s_C1R_Ctx | ( | const Npp16s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16s * | pSrc2,
|  | int | nSrc2Step,
|  | NppiSize | oSizeROI,
|  | Npp64f * | pNormDiff,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 16-bit signed image NormDiff_Inf.

For common parameter descriptions, see Common parameters for nppiNormDiffInf functions.

NppStatus nppiNormDiff_Inf_16s_C3R | ( | const Npp16s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16s * | pSrc2,
|  | int | nSrc2Step,
|  | NppiSize | oSizeROI,
|  | Npp64f | aNormDiff[3],
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiNormDiff_Inf_16s_C3R_Ctx | ( | const Npp16s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16s * | pSrc2,
|  | int | nSrc2Step,
|  | NppiSize | oSizeROI,
|  | Npp64f | aNormDiff[3],
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 16-bit signed image NormDiff_Inf.

For common parameter descriptions, see Common parameters for nppiNormDiffInf functions.

NppStatus nppiNormDiff_Inf_16s_C4R | ( | const Npp16s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16s * | pSrc2,
|  | int | nSrc2Step,
|  | NppiSize | oSizeROI,
|  | Npp64f | aNormDiff[4],
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiNormDiff_Inf_16s_C4R_Ctx | ( | const Npp16s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16s * | pSrc2,
|  | int | nSrc2Step,
|  | NppiSize | oSizeROI,
|  | Npp64f | aNormDiff[4],
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 16-bit signed image NormDiff_Inf.

For common parameter descriptions, see Common parameters for nppiNormDiffInf functions.

NppStatus nppiNormDiff_Inf_16u_AC4R | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | NppiSize | oSizeROI,
|  | Npp64f | aNormDiff[3],
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiNormDiff_Inf_16u_AC4R_Ctx | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | NppiSize | oSizeROI,
|  | Npp64f | aNormDiff[3],
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 16-bit unsigned image NormDiff_Inf ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiNormDiffInf functions.

NppStatus nppiNormDiff_Inf_16u_C1MR | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | Npp64f * | pNormDiff,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiNormDiff_Inf_16u_C1MR_Ctx | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | Npp64f * | pNormDiff,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Masked one-channel 16-bit unsigned images NormDiff_Inf.

For common parameter descriptions, see Common parameters for nppiNormDiffInf functions.

NppStatus nppiNormDiff_Inf_16u_C1R | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | NppiSize | oSizeROI,
|  | Npp64f * | pNormDiff,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiNormDiff_Inf_16u_C1R_Ctx | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | NppiSize | oSizeROI,
|  | Npp64f * | pNormDiff,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 16-bit unsigned image NormDiff_Inf.

For common parameter descriptions, see Common parameters for nppiNormDiffInf functions.

NppStatus nppiNormDiff_Inf_16u_C3CMR | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | int | nCOI,
|  | Npp64f * | pNormDiff,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiNormDiff_Inf_16u_C3CMR_Ctx | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | int | nCOI,
|  | Npp64f * | pNormDiff,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Masked three-channel 16-bit unsigned image NormDiff_Inf affecting only single channel.

For common parameter descriptions, see Common parameters for nppiNormDiffInf functions.

NppStatus nppiNormDiff_Inf_16u_C3R | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | NppiSize | oSizeROI,
|  | Npp64f | aNormDiff[3],
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiNormDiff_Inf_16u_C3R_Ctx | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | NppiSize | oSizeROI,
|  | Npp64f | aNormDiff[3],
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 16-bit unsigned image NormDiff_Inf.

For common parameter descriptions, see Common parameters for nppiNormDiffInf functions.

NppStatus nppiNormDiff_Inf_16u_C4R | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | NppiSize | oSizeROI,
|  | Npp64f | aNormDiff[4],
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiNormDiff_Inf_16u_C4R_Ctx | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | NppiSize | oSizeROI,
|  | Npp64f | aNormDiff[4],
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 16-bit unsigned image NormDiff_Inf.

For common parameter descriptions, see Common parameters for nppiNormDiffInf functions.

NppStatus nppiNormDiff_Inf_32f_AC4R | ( | const Npp32f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32f * | pSrc2,
|  | int | nSrc2Step,
|  | NppiSize | oSizeROI,
|  | Npp64f | aNormDiff[3],
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiNormDiff_Inf_32f_AC4R_Ctx | ( | const Npp32f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32f * | pSrc2,
|  | int | nSrc2Step,
|  | NppiSize | oSizeROI,
|  | Npp64f | aNormDiff[3],
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 32-bit floating point image NormDiff_Inf ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiNormDiffInf functions.

NppStatus nppiNormDiff_Inf_32f_C1MR | ( | const Npp32f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32f * | pSrc2,
|  | int | nSrc2Step,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | Npp64f * | pNormDiff,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiNormDiff_Inf_32f_C1MR_Ctx | ( | const Npp32f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32f * | pSrc2,
|  | int | nSrc2Step,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | Npp64f * | pNormDiff,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Masked one-channel 32-bit floating point images NormDiff_Inf.

For common parameter descriptions, see Common parameters for nppiNormDiffInf functions.

NppStatus nppiNormDiff_Inf_32f_C1R | ( | const Npp32f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32f * | pSrc2,
|  | int | nSrc2Step,
|  | NppiSize | oSizeROI,
|  | Npp64f * | pNormDiff,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiNormDiff_Inf_32f_C1R_Ctx | ( | const Npp32f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32f * | pSrc2,
|  | int | nSrc2Step,
|  | NppiSize | oSizeROI,
|  | Npp64f * | pNormDiff,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 32-bit floating point image NormDiff_Inf.

For common parameter descriptions, see Common parameters for nppiNormDiffInf functions.

NppStatus nppiNormDiff_Inf_32f_C3CMR | ( | const Npp32f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32f * | pSrc2,
|  | int | nSrc2Step,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | int | nCOI,
|  | Npp64f * | pNormDiff,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiNormDiff_Inf_32f_C3CMR_Ctx | ( | const Npp32f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32f * | pSrc2,
|  | int | nSrc2Step,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | int | nCOI,
|  | Npp64f * | pNormDiff,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Masked three-channel 32-bit floating point image NormDiff_Inf affecting only single channel.

For common parameter descriptions, see Common parameters for nppiNormDiffInf functions.

NppStatus nppiNormDiff_Inf_32f_C3R | ( | const Npp32f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32f * | pSrc2,
|  | int | nSrc2Step,
|  | NppiSize | oSizeROI,
|  | Npp64f | aNormDiff[3],
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiNormDiff_Inf_32f_C3R_Ctx | ( | const Npp32f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32f * | pSrc2,
|  | int | nSrc2Step,
|  | NppiSize | oSizeROI,
|  | Npp64f | aNormDiff[3],
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 32-bit floating point image NormDiff_Inf.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aNormDiff | Array that contains computed Inf-norm of differences.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes, or NPP_NOT_EVEN_STEP_ERROR if an invalid floating-point image is specified.

NppStatus nppiNormDiff_Inf_32f_C4R | ( | const Npp32f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32f * | pSrc2,
|  | int | nSrc2Step,
|  | NppiSize | oSizeROI,
|  | Npp64f | aNormDiff[4],
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiNormDiff_Inf_32f_C4R_Ctx | ( | const Npp32f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32f * | pSrc2,
|  | int | nSrc2Step,
|  | NppiSize | oSizeROI,
|  | Npp64f | aNormDiff[4],
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 32-bit floating point image NormDiff_Inf.

For common parameter descriptions, see Common parameters for nppiNormDiffInf functions.

NppStatus nppiNormDiff_Inf_8s_C1MR | ( | const Npp8s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8s * | pSrc2,
|  | int | nSrc2Step,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | Npp64f * | pNormDiff,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiNormDiff_Inf_8s_C1MR_Ctx | ( | const Npp8s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8s * | pSrc2,
|  | int | nSrc2Step,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | Npp64f * | pNormDiff,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Masked one-channel 8-bit signed images NormDiff_Inf.

For common parameter descriptions, see Common parameters for nppiNormDiffInf functions.

NppStatus nppiNormDiff_Inf_8s_C3CMR | ( | const Npp8s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8s * | pSrc2,
|  | int | nSrc2Step,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | int | nCOI,
|  | Npp64f * | pNormDiff,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiNormDiff_Inf_8s_C3CMR_Ctx | ( | const Npp8s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8s * | pSrc2,
|  | int | nSrc2Step,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | int | nCOI,
|  | Npp64f * | pNormDiff,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Masked three-channel 8-bit signed image NormDiff_Inf affecting only single channel.

For common parameter descriptions, see Common parameters for nppiNormDiffInf functions.

NppStatus nppiNormDiff_Inf_8u_AC4R | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | NppiSize | oSizeROI,
|  | Npp64f | aNormDiff[3],
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiNormDiff_Inf_8u_AC4R_Ctx | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | NppiSize | oSizeROI,
|  | Npp64f | aNormDiff[3],
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 8-bit unsigned image NormDiff_Inf ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiNormDiffInf functions.

NppStatus nppiNormDiff_Inf_8u_C1MR | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | Npp64f * | pNormDiff,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiNormDiff_Inf_8u_C1MR_Ctx | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | Npp64f * | pNormDiff,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Masked one-channel 8-bit unsigned images NormDiff_Inf.

For common parameter descriptions, see Common parameters for nppiNormDiffInf functions.

NppStatus nppiNormDiff_Inf_8u_C1R | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | NppiSize | oSizeROI,
|  | Npp64f * | pNormDiff,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiNormDiff_Inf_8u_C1R_Ctx | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | NppiSize | oSizeROI,
|  | Npp64f * | pNormDiff,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 8-bit unsigned image NormDiff_Inf.

For common parameter descriptions, see Common parameters for nppiNormDiffInf functions.

NppStatus nppiNormDiff_Inf_8u_C3CMR | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | int | nCOI,
|  | Npp64f * | pNormDiff,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiNormDiff_Inf_8u_C3CMR_Ctx | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | int | nCOI,
|  | Npp64f * | pNormDiff,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Masked three-channel 8-bit unsigned image NormDiff_Inf affecting only single channel.

For common parameter descriptions, see Common parameters for nppiNormDiffInf functions.

NppStatus nppiNormDiff_Inf_8u_C3R | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | NppiSize | oSizeROI,
|  | Npp64f | aNormDiff[3],
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiNormDiff_Inf_8u_C3R_Ctx | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | NppiSize | oSizeROI,
|  | Npp64f | aNormDiff[3],
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 8-bit unsigned image NormDiff_Inf.

For common parameter descriptions, see Common parameters for nppiNormDiffInf functions.

NppStatus nppiNormDiff_Inf_8u_C4R | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | NppiSize | oSizeROI,
|  | Npp64f | aNormDiff[4],
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiNormDiff_Inf_8u_C4R_Ctx | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | NppiSize | oSizeROI,
|  | Npp64f | aNormDiff[4],
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 8-bit unsigned image NormDiff_Inf.

For common parameter descriptions, see Common parameters for nppiNormDiffInf functions.

NppStatus nppiNormDiffInfGetBufferHostSize_16s_AC4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiNormDiffInfGetBufferHostSize_16s_AC4R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiNormDiff_Inf_16s_AC4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiNormDiffInfGetBufferHostSize_16s_C1R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiNormDiffInfGetBufferHostSize_16s_C1R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiNormDiff_Inf_16s_C1R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiNormDiffInfGetBufferHostSize_16s_C3R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiNormDiffInfGetBufferHostSize_16s_C3R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiNormDiff_Inf_16s_C3R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiNormDiffInfGetBufferHostSize_16s_C4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiNormDiffInfGetBufferHostSize_16s_C4R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiNormDiff_Inf_16s_C4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiNormDiffInfGetBufferHostSize_16u_AC4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiNormDiffInfGetBufferHostSize_16u_AC4R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiNormDiff_Inf_16u_AC4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiNormDiffInfGetBufferHostSize_16u_C1MR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiNormDiffInfGetBufferHostSize_16u_C1MR_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiNormDiff_Inf_16u_C1MR.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiNormDiffInfGetBufferHostSize_16u_C1R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiNormDiffInfGetBufferHostSize_16u_C1R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiNormDiff_Inf_16u_C1R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiNormDiffInfGetBufferHostSize_16u_C3CMR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiNormDiffInfGetBufferHostSize_16u_C3CMR_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiNormDiff_Inf_16u_C3CMR.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiNormDiffInfGetBufferHostSize_16u_C3R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiNormDiffInfGetBufferHostSize_16u_C3R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiNormDiff_Inf_16u_C3R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiNormDiffInfGetBufferHostSize_16u_C4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiNormDiffInfGetBufferHostSize_16u_C4R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiNormDiff_Inf_16u_C4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiNormDiffInfGetBufferHostSize_32f_AC4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiNormDiffInfGetBufferHostSize_32f_AC4R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiNormDiff_Inf_32f_AC4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiNormDiffInfGetBufferHostSize_32f_C1MR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiNormDiffInfGetBufferHostSize_32f_C1MR_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiNormDiff_Inf_32f_C1MR.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiNormDiffInfGetBufferHostSize_32f_C1R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiNormDiffInfGetBufferHostSize_32f_C1R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiNormDiff_Inf_32f_C1R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiNormDiffInfGetBufferHostSize_32f_C3CMR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiNormDiffInfGetBufferHostSize_32f_C3CMR_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiNormDiff_Inf_32f_C3CMR.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiNormDiffInfGetBufferHostSize_32f_C3R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiNormDiffInfGetBufferHostSize_32f_C3R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiNormDiff_Inf_32f_C3R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiNormDiffInfGetBufferHostSize_32f_C4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiNormDiffInfGetBufferHostSize_32f_C4R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiNormDiff_Inf_32f_C4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiNormDiffInfGetBufferHostSize_8s_C1MR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiNormDiffInfGetBufferHostSize_8s_C1MR_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiNormDiff_Inf_8s_C1MR.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiNormDiffInfGetBufferHostSize_8s_C3CMR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiNormDiffInfGetBufferHostSize_8s_C3CMR_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiNormDiff_Inf_8s_C3CMR.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiNormDiffInfGetBufferHostSize_8u_AC4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiNormDiffInfGetBufferHostSize_8u_AC4R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiNormDiff_Inf_8u_AC4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiNormDiffInfGetBufferHostSize_8u_C1MR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiNormDiffInfGetBufferHostSize_8u_C1MR_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiNormDiff_Inf_8u_C1MR.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiNormDiffInfGetBufferHostSize_8u_C1R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiNormDiffInfGetBufferHostSize_8u_C1R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiNormDiff_Inf_8u_C1R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiNormDiffInfGetBufferHostSize_8u_C3CMR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiNormDiffInfGetBufferHostSize_8u_C3CMR_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiNormDiff_Inf_8u_C3CMR.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiNormDiffInfGetBufferHostSize_8u_C3R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiNormDiffInfGetBufferHostSize_8u_C3R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiNormDiff_Inf_8u_C3R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiNormDiffInfGetBufferHostSize_8u_C4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiNormDiffInfGetBufferHostSize_8u_C4R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiNormDiff_Inf_8u_C4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

Copyright © 2009-2020 NVIDIA Corporation